Page MenuHomePhabricator

[TUX] Split export functionality off of Special:Translate
Closed, ResolvedPublic

Description

Exporting functionality could live in a separate special page, say Special:ExportTranslations (as friend of Special:ImportTranslations). Currently it is a kludge inside Special:Translate because TUX changed how stuff works.


Version: unspecified
Severity: enhancement

Details

Reference
bz47072

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:26 AM
bzimport set Reference to bz47072.
bzimport added a subscriber: Unknown Object (MLST).

Bug 47002 comment 6:

This is only a small part of the old UI. I have opened bug 47072 for further
actions.

If I understand what this means, this bug is not only about splitting but rather about restoring all previous functionality, so this summary should be clearer.

(In reply to comment #1)

If I understand what this means, this bug is not only about splitting but
rather about restoring all previous functionality, so this summary should be
clearer.

Nope. This is not a correct change. Reverted.

Change 131717 had a related patch set uploaded (by Liangent):
LanguageConverter fix of empty and numeric strings

https://gerrit.wikimedia.org/r/131717

Nikerabbit set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2016, 12:24 AM
Glaisher claimed this task.Jun 26 2016, 7:14 AM

Change 296171 had a related patch set uploaded (by Glaisher):
[WIP] Add Special:ExportTranslations

https://gerrit.wikimedia.org/r/296171

Change 296171 merged by jenkins-bot:
Add Special:ExportTranslations

https://gerrit.wikimedia.org/r/296171

Glaisher closed this task as Resolved.Aug 8 2016, 3:44 PM